Subject: Re: bug#35860: Delayed window positioning after buffer display

From: martin rudalics <[email-masked]>
Date: Sat, 15 Jun 2019 10:17:09 +0200

>> -;; (4) A marker (`help-window-point-marker') to move point in the help
 >> +;; (4) A marker (`window-point') to move point in the help
 >>   ;;     window to an arbitrary buffer position.
 >>
 >> sounds irritating IMHO.  If it's used for help windows only, then why
 >> rename it?  Otherwise, we should at least leave the '-marker' postfix
 >> and provide some additional identification so maybe use something like
 >> 'temp-buffer-window-point-marker'
 >
 > It's generalized now to be used not only for help windows.

Then the comment above is misleading.

 > The '-marker' postfix is not needed because it can be either
 > marker or integer, i.e. any value that set-window-point accepts
 > for its POSITION argument.

Hmmm.  "...-window-point-position" sounds silly.

martin